<?php

declare(strict_types=1);

abstract class Job
{
    protected PDO $pdo;

    public function __construct(PDO $pdo)
    {
        $this->pdo = $pdo;
    }

    abstract public function getName(): string;

    abstract public function handle(): void;
}